
% Plot 2: 5 Parametric curves: Different Agent Parameters

disp([ 9 9 9 'Plot 2: 5 Parametric curves: Different Agent Parameters'])

switch id_model
    case 1 
        DigraphIDs = 1;
    case 2
        DigraphIDs = 1:9;
    case 3
        DigraphIDs = IntermediateDigraphIDs; 
    case 4
        DigraphIDs = IntermediateDigraphIDs;
end

InitialOpinionIDs = InitialOpinionIDs_small;
AgentParametersIDs = AgentParametersIDs_medium;

local_counter = 0;
for id_di = 1:size(DigraphIDs,2)
    Aux_3_DigraphSelection

    for id_io = 1:size(InitialOpinionIDs,2)

        Aux_5_InitialOpinionSelection
        Aux_8_PlotPreparation

        SingleNameFigure = [ ModelLabel '_ParametricCurve_2_id_io_' num2str(id_initial_opinion) '_id_di_' num2str(id_network) '.png' ];
        if CreateFigure(SingleNameFigure,AllFigures)


            local_counter = local_counter + 1;
            disp([ 9 ' . ' num2str(local_counter) '/' num2str(size(DigraphIDs,2)*size(InitialOpinionIDs,2))])

            for id_ap = 1:size(AgentParametersIDs,2)

                Aux_4_AgentParameterSelection
                Aux_6_ParametricCurves

            end

            Aux_9_PlotDetails

            exportgraphics(Fig, [ './Chap/Opinion_Tools/Figures/' ModelLabel '/Plot_2/' ModelLabel '_ParametricCurve_2_id_io_' num2str(id_initial_opinion) '_id_di_' num2str(id_network) '.png']), pause(0.1), clf

            % Aux_1_AgentParameterSuplot
            Aux_2_DigraphSubplot

        else

            disp([ 9 'Figure skipped'])

        end


        
        

    end
end